/*
* Copyright (c) 2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This component and the accompanying materials are made available
* under the terms of "Eclipse Public License v1.0"
* which accompanies this distribution, and is available
* at the URL "http://www.eclipse.org/legal/epl-v10.html".
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description: 
*
*/



#ifndef __CRDTYPESRV_H__
#define __CRDTYPESRV_H__

#include <e32base.h>
#include <mdns/cdnsresourcedata.h>
#include <mdns/dnsconstants.h>

class CRdTypeSrv : public CDnsResourceData
     {
public:
	IMPORT_C ~CRdTypeSrv();
	IMPORT_C static CRdTypeSrv* NewL();
	
	IMPORT_C TUint16  Priority()const;
	IMPORT_C void SetPriority(TUint16 aPriority);
		
	IMPORT_C TUint16 Weight()const;
	IMPORT_C void SetWeight(TUint16 aWeight);
	
	IMPORT_C TUint16 Port()const;
	IMPORT_C void SetPort(TUint16 aPort);
	
	IMPORT_C const TDesC8& Target()const;
	IMPORT_C void SetTargetL(const TDesC8& aTarget);
	
	void ConstructL(const TDesC8& aTarget);
	IMPORT_C TUint16 Size()const;
	
private:
    CRdTypeSrv();
    
private:
	RBuf8 iTarget;
	TUint16 iPrio;
	TUint16 iWeight;
	TUint16 iPort;
    };

#endif //__CRDTYPESRV_H__